This API is used to create Token Authentication Value (TAV)
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| profileNumber | String | 1-20 characters | ✓ | Profile number linked with this card |
| trackingNumber | String | 1-10 characters | ✓ | The tracking number of the card |
| transactionID | String | 1-255 characters | ✓ | Transaction ID number generated by the calling client |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA1 or HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>CalculateTAV</methodName>
<params>
<param>
<value>
<string>{{terminalID}}</string>
</value>
</param>
<param>
<value>
<string>{{profileNumber}}</string>
</value>
</param>
<param>
<value>
<string>{{trackingNumber}}</string>
</value>
</param>
<param>
<value>
<string>{{transactionID}}</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>{{transactionDate}}</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>{{checksum}}</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result. In the event of a successful result the code will be 1. |
| resultText | String | Text indicating transaction result |
| tav | String | JSON fields encoded in Base-64 format.; ; The returned JSON fields include:; ; • version; ; • signatureAlgorithm; ; • dataValidUntilTimestamp; ; • includedFieldsInOrder; ; • signature (RSA-SHA256 signature/; ; TAV) |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
<member>
<name>tav</name>
<value>
<string>tav</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>